Maven 项目无法修改Dynamic Web Module(eclispe)

标签: maven 修改Dynamic Web 修改project facts
2人阅读 评论(0) 收藏 举报
分类:

Maven 项目无法修改Dynamic Web Module(eclispe)

标签(空格分隔): maven


项目—>右键—>Properties —-> Project Facets

看到Dynamic Web Module无法修改
image_1cb9f4cp6171i15p2t2rk1frl9.png-115kB

点击 Project Exploere 旁边的 Navigator

settings目录下的org.eclipse.wst.common.project.facet.core.xml文件

image_1cb9fdpdubsr1ugf1nvnkar55om.png-204.1kB


若是eclispe 里面没有Navigator

Window —> show View—-> Other

image_1cb9grf88566b1kf0f1t4q138u13.png-86.2kB

在show View 搜索里面查找 Navigator,将 Navigator 添加出来
image_1cb9gvsdk2g7gpq1gdd1nq1bt31g.png-15.1kB

查看评论

Maven 项目中无法修改Dynamic Web Module无法修改的解决办法

一、Maven项目的初建会出现的问题 在创建了Maven项目,初始的目录结构是不对的,这时会报错。只要把JRE修改为eclipse默认的就行了, 为了解决乱码问题,最好把编码格式改为UTF-8格式...
  • JeremyYan
  • JeremyYan
  • 2017-09-30 10:41:26
  • 489

将Maven项目的Dynamic Web Module 改为3.1版本

1 转到Navigator 视图,.settings文件夹下,打开如下文件: 将jst.web 的version改为3.1,如下: 2 右击项目,打开properties,设置java版本为1.8...
  • CrazyLai1996
  • CrazyLai1996
  • 2017-08-06 20:05:44
  • 1527

解决Eclipse建Maven项目Dynamic web Module无法转换为3.0

Maven项目在Project Facets里面修改Dynamic web module为2.5的时候就会出现Cannot change version of project facet Dynami...
  • maylead
  • maylead
  • 2017-12-01 05:27:27
  • 260

maven项目设置Dynamic Web Module版本

项目.settings文件夹下的文件org.eclipse.wst.common.project.facet.core.xml 修改jst.web为想要的版本即可...
  • u010819416
  • u010819416
  • 2015-11-11 23:55:34
  • 498

解决Eclipse建Maven项目Dynamic web Module无法转换为2.5

Maven项目在Project Facets里面修改Dynamic web module为2.5的时候就会出现Cannot change version of project facet Dynami...
  • dy_0708
  • dy_0708
  • 2017-02-10 11:10:27
  • 2808

maven项目中改Dynamic Web Module版本和jdk版本

默认的Dynamic Web Module为2.3,使用Tomcat 8,需要修改为3.1 修改方法: 1. maven工程所在目录下org.eclipse.wst.common.project....
  • qq_30938705
  • qq_30938705
  • 2018-02-06 10:57:38
  • 41

Dynamic Web Module 是2.3,无法修改到3.0

新SVN下来的项目,遇到了这样的问题: 打开 project > Properties >Project Facets 页面 提示下面的错误: 而Dynamic Web Modul...
  • shi1451042748
  • shi1451042748
  • 2016-08-29 14:32:25
  • 2306

eclipse中创建maven dynamic web 3.0项目

今天在学习springboot时,创建的dynamic web项目的project facet(eclipse设置)里显示的是2.3。现在一般都是3.0。网上搜索了很久,依旧没有找到一次性的解决办法,...
  • u013066244
  • u013066244
  • 2016-12-19 13:10:54
  • 3115

正确新建maven Dynamic web 项目

转自:  http://blog.csdn.net/ahau10/article/details/51232406 下面给大家讲讲如何正确地新建maven工程,以及为什么不能转成Dy...
  • remote_roamer
  • remote_roamer
  • 2016-06-21 01:57:11
  • 5743

eclipse 中 maven项目 改为dynamic Web Project 时 显示 Dynamic Web Module 3.0 requires Java 1.6 or newer

eclipse 中 maven项目 改为dynamic Web Project 时 显示 Dynamic Web Module 3.0 requires Java 1.6 or newer我的环境:...
  • u011730792
  • u011730792
  • 2016-01-20 22:08:05
  • 1331
    个人资料
    持之以恒
    等级:
    访问量: 4220
    积分: 623
    排名: 8万+
    文章存档